# Function RxapPipeDataSource

- RxapPipeDataSource(metadata, className?, packageName?): ((target) => void)

- #### Parameters

  - metadata: PipeDataSourceMetadata
  - className: string = 'PipeDataSource'
  - packageName: string = '@rxap/data-source'

  #### Returns ((target) => void)

  - - (target): void

    - #### Parameters

      - target: Constructor<PipeDataSource<any, any>>

      #### Returns void

  - Defined in packages/angular/data-source/src/lib/pipe.data-source.ts:39